html, body {
    height:100%;
}

#settings {

}
#algorithms {
    padding: 5px;
    /*display: inline-block;*/
    list-style: none;
}
h3 {
    font-size: 1.2em;
}
.empty-list {
    text-align: center;
    padding-top: 40px;
    color: #8898a9;
}
.navbar-brand {
    padding: 7px 15px;
}

.algorithm {
    position: relative;
    overflow: visible;
    border: 1px solid #29a7e1;
	box-shadow: 1px 1px 1px #888888;
    border-radius: 5px;
    width: 100px;
    /*height: 100px;*/
    min-height: 120px;
    padding: 5px;
    background: #ffffff;
    float: left;
    margin: 5px;
    cursor: pointer;
}
.algorithm.f-skip {
    border-color: red;
}
.scramble {
    font-weight: bold;
}
.algorithm img {
    width: 100%;
}
.algorithm .f-text {
    font-size: 10px;
    min-height: 19px;
    text-align: center;
    font-weight: bold;
    text-overflow: ellipsis;
    overflow: hidden;
    white-space: nowrap;
}
.algorithm:before{
    content: attr(data-alg-key);
    position: absolute;
    font-size: 10px;
    font-weight: bold;
    top: 2px;
    left: 2px;
    color: #29a7e1;
}

#algModal .modal-body {
    font-size: 20px;
    font-size: 5vw;
    text-align: center;
    font-weight: bold;
}
#algModal .modal-title .icon {
    width: 48px;
    margin: -10px 5px -10px -5px;
}

#algModal .modal-body {
    min-height: 100px;
}
#algModal .modal-body img {
    max-width: 100px;
    float: left;
}

#algModal .modal-body .formula {
    padding: 4px 10px;
}

#algModal .modal-body .scramble {
    margin-top: 10px;
    font-size: 18px;
    font-size: 3vw;
    text-align: right;
    color: blue;
    border-top: 1px solid #e5e5e5;
}

.formula {
    font-style: italic;
    border: 1px solid #ffeb3b !important;
    background: #ffeb3b !important;
    padding: 0 4px;
    border-radius: 4px;
    display: inline-block;
    margin: 1px;
}

.f-RURiUi, .f-LiUiLU  {
    color: green;
    border-top-color: blue !important;
}
.f-RiFRFi{
    color: red;
    border-bottom-color: blue !important;
}

.f-RURiUi:before {
    content: '↑';
}
.f-LiUiLU:before{
    content: '↑';
    color: blue;
}

.f-RiFRFi:before {
    content: '↓';
}

.f-RwURiUiRwiFR:before {
    content: '↟↡ ';
}

body.f-icons .formula:not(.ho-hide) {
    font-size: 0;
    padding: 0 1vw;
}
body.f-icons .formula:before {
    font-size: 20px;
    font-size: 5vw;
}
body.f-icons .f-text .formula {
    padding: 0 4px;
}
body.f-icons .f-text .formula:before{
    font-size: 8px;
    /*font-size: 1vw;*/
}